Description: Make the build reproducible
Author: Chris Lamb <lamby@debian.org>

--- libmemcached-libmemcached-perl-1.001801+dfsg.orig/t/lib/ExtUtils/ParseXS.pm
+++ libmemcached-libmemcached-perl-1.001801+dfsg/t/lib/ExtUtils/ParseXS.pm
@@ -741,7 +741,7 @@ EOF
       process_keyword("POSTCALL|OUTPUT|ALIAS|ATTRS|PROTOTYPE|OVERLOAD");
       
       &generate_output($var_types{$_}, $args_match{$_}, $_, $DoSetMagic)
-	for grep $in_out{$_} =~ /OUT$/, keys %in_out;
+	for grep $in_out{$_} =~ /OUT$/, sort keys %in_out;
       
       # all OUTPUT done, so now push the return value on the stack
       if ($gotRETVAL && $RETVAL_code) {
@@ -867,7 +867,8 @@ EOF
     if (%XsubAliases) {
       $XsubAliases{$pname} = 0
 	unless defined $XsubAliases{$pname} ;
-      while ( ($name, $value) = each %XsubAliases) {
+      foreach my $name (sort keys %XsubAliases) {
+	my $value = $XsubAliases{$name};
 	push(@InitFileCode, Q(<<"EOF"));
 #        cv = newXS(\"$name\", XS_$Full_func_name, file);
 #        XSANY.any_i32 = $value ;
@@ -884,7 +885,8 @@ EOF
 EOF
     }
     elsif ($interface) {
-      while ( ($name, $value) = each %Interfaces) {
+      foreach my $name (sort keys %Interfaces) {
+	my $value = $Interfaces{$name};
 	$name = "$Package\::$name" unless $name =~ /::/;
 	push(@InitFileCode, Q(<<"EOF"));
 #        cv = newXS(\"$name\", XS_$Full_func_name, file);
